## r-bioc-megadepth 1.6.0+ds

=== DESCRIPTION ===
Package: megadepth
Title: megadepth: BigWig and BAM related utilities
Version: 1.6.0
Date: 2021-08-05
Authors@R: 
    c(
    person(
        "Leonardo", "Collado-Torres", role = c("aut"), 
        email = "lcolladotor@gmail.com",
        comment = c(ORCID = "0000-0003-2140-308X")
    ),
    person(
        given = "David",
        family = "Zhang",
        role = c("aut", "cre"),
        email = "david.zhang.12@ucl.ac.uk",
        comment = c(ORCID = "0000-0003-2382-8460")
    ))
Description: This package provides an R interface to Megadepth by Christopher
    Wilks available at https://github.com/ChristopherWilks/megadepth. It is
    particularly useful for computing the coverage of a set of genomic regions
    across bigWig or BAM files. With this package, you can build base-pair
    coverage matrices for regions or annotations of your choice from BigWig
    files. Megadepth was used to create the raw files provided by
    https://bioconductor.org/packages/recount3.
License: Artistic-2.0
URL: https://github.com/LieberInstitute/megadepth
BugReports: https://support.bioconductor.org/t/megadepth
biocViews: Software, Coverage, DataImport, Transcriptomics, RNASeq,
        Preprocessing
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Suggests: covr, knitr, BiocStyle, sessioninfo, rmarkdown, rtracklayer,
        derfinder, GenomeInfoDb, tools, RefManageR, testthat
SystemRequirements: megadepth
        (<https://github.com/ChristopherWilks/megadepth>)
VignetteBuilder: knitr
Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
Config/testthat/edition: 3
git_url: https://git.bioconductor.org/packages/megadepth
git_branch: RELEASE_3_15
git_last_commit: 8168273
git_last_commit_date: 2022-04-26
Date/Publication: 2022-04-26
NeedsCompilation: no
Packaged: 2022-04-26 21:03:53 UTC; biocbuild
Author: Leonardo Collado-Torres [aut] (<https://orcid.org/0000-0003-2140-308X>),
  David Zhang [aut, cre] (<https://orcid.org/0000-0003-2382-8460>)
Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

=== debian/changelog ===
r-bioc-megadepth (1.6.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Do not run tests on s390x as megadepth does not work there

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Aug 2022 22:31:17 +0530

r-bioc-megadepth (1.6.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Add Depends on megadepth
  * Add patch to not force megadepth installation in tests

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Aug 2022 14:31:58 +0530

r-bioc-megadepth (1.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 10:40:23 +0200

r-bioc-megadepth (1.4.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Apr 2022 11:30:25 +0200

r-bioc-megadepth (1.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #1008737)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2022 20:22:26 +0200

## r-bioc-megadepth 1.8.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: megadepth
 Title: megadepth: BigWig and BAM related utilities
-Version: 1.6.0
+Version: 1.8.0
 Date: 2021-08-05
 Authors@R: 
     c(
@@ -39,12 +39,12 @@
 Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
 Config/testthat/edition: 3
 git_url: https://git.bioconductor.org/packages/megadepth
-git_branch: RELEASE_3_15
-git_last_commit: 8168273
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 6e567a2
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:03:53 UTC; biocbuild
+Packaged: 2022-11-01 21:57:23 UTC; biocbuild
 Author: Leonardo Collado-Torres [aut] (<https://orcid.org/0000-0003-2140-308X>),
   David Zhang [aut, cre] (<https://orcid.org/0000-0003-2382-8460>)
 Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

=== debian/changelog ===
r-bioc-megadepth (1.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:17:19 +0100

=== debian/control ===
Source: r-bioc-megadepth
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-megadepth
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-megadepth.git
Homepage: https://bioconductor.org/packages/megadepth/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-xfun,
               r-cran-fs,
               r-bioc-genomicranges,
               r-cran-readr,
               r-cran-cmdfun,
               r-cran-dplyr,
               r-cran-magrittr
Testsuite: autopkgtest-pkg-r

Package: r-bioc-megadepth
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         megadepth
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioCOnductor BigWig and BAM related utilities
 This package provides an R interface to Megadepth by Christopher
 Wilks available at https://github.com/ChristopherWilks/megadepth. It is
 particularly useful for computing the coverage of a set of genomic regions
 across bigWig or BAM files. With this package, you can build base-pair
 coverage matrices for regions or annotations of your choice from BigWig
 files. Megadepth was used to create the raw files provided by
 https://bioconductor.org/packages/recount3.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr
Architecture: !s390x

## r-bioc-megadepth 1.10.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: megadepth
 Title: megadepth: BigWig and BAM related utilities
-Version: 1.8.0
+Version: 1.10.0
 Date: 2021-08-05
 Authors@R: 
     c(
@@ -39,12 +39,12 @@
 Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
 Config/testthat/edition: 3
 git_url: https://git.bioconductor.org/packages/megadepth
-git_branch: RELEASE_3_16
-git_last_commit: 6e567a2
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: b79de0c
+git_last_commit_date: 2023-05-06
+Date/Publication: 2023-05-07
 NeedsCompilation: no
-Packaged: 2022-11-01 21:57:23 UTC; biocbuild
+Packaged: 2023-05-07 21:13:16 UTC; biocbuild
 Author: Leonardo Collado-Torres [aut] (<https://orcid.org/0000-0003-2140-308X>),
   David Zhang [aut, cre] (<https://orcid.org/0000-0003-2382-8460>)
 Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

=== debian/changelog ===
r-bioc-megadepth (1.10.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Rebuild against latest r-base
    Closes: #1033853
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:57:52 +0200

## r-bioc-megadepth 1.12.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: megadepth
 Title: megadepth: BigWig and BAM related utilities
-Version: 1.10.0
+Version: 1.12.0
 Date: 2021-08-05
 Authors@R: 
     c(
@@ -30,7 +30,7 @@
         Preprocessing
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Suggests: covr, knitr, BiocStyle, sessioninfo, rmarkdown, rtracklayer,
         derfinder, GenomeInfoDb, tools, RefManageR, testthat
 SystemRequirements: megadepth
@@ -39,12 +39,12 @@
 Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
 Config/testthat/edition: 3
 git_url: https://git.bioconductor.org/packages/megadepth
-git_branch: RELEASE_3_17
-git_last_commit: b79de0c
-git_last_commit_date: 2023-05-06
-Date/Publication: 2023-05-07
+git_branch: RELEASE_3_18
+git_last_commit: 13f2d37
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-05-07 21:13:16 UTC; biocbuild
+Packaged: 2023-10-24 21:49:01 UTC; biocbuild
 Author: Leonardo Collado-Torres [aut] (<https://orcid.org/0000-0003-2140-308X>),
   David Zhang [aut, cre] (<https://orcid.org/0000-0003-2382-8460>)
 Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

=== debian/changelog ===
r-bioc-megadepth (1.12.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop d/t/control which is unneeded due to pkg-r-autopkgtest
  * Make sure s390x is excluded from autodep8 test

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 10:30:30 +0100

r-bioc-megadepth (1.12.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 11:22:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-megadepth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-megadepth.git
 Homepage: https://bioconductor.org/packages/megadepth/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-megadepth 1.14.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: megadepth
 Title: megadepth: BigWig and BAM related utilities
-Version: 1.12.0
+Version: 1.14.0
 Date: 2021-08-05
 Authors@R: 
     c(
@@ -39,12 +39,13 @@
 Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
 Config/testthat/edition: 3
 git_url: https://git.bioconductor.org/packages/megadepth
-git_branch: RELEASE_3_18
-git_last_commit: 13f2d37
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 6ad74b4
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:49:01 UTC; biocbuild
+Packaged: 2024-05-01 04:30:52 UTC; biocbuild
 Author: Leonardo Collado-Torres [aut] (<https://orcid.org/0000-0003-2140-308X>),
   David Zhang [aut, cre] (<https://orcid.org/0000-0003-2382-8460>)
 Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

=== debian/changelog ===
r-bioc-megadepth (1.14.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:45:41 +0200

r-bioc-megadepth (1.14.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:50:35 +0200

## r-bioc-megadepth 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: megadepth
 Title: megadepth: BigWig and BAM related utilities
-Version: 1.14.0
+Version: 1.16.0
 Date: 2021-08-05
 Authors@R: 
     c(
@@ -39,13 +39,13 @@
 Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
 Config/testthat/edition: 3
 git_url: https://git.bioconductor.org/packages/megadepth
-git_branch: RELEASE_3_19
-git_last_commit: 6ad74b4
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: d7f5e2d
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 04:30:52 UTC; biocbuild
+Packaged: 2024-10-30 01:28:03 UTC; biocbuild
 Author: Leonardo Collado-Torres [aut] (<https://orcid.org/0000-0003-2140-308X>),
   David Zhang [aut, cre] (<https://orcid.org/0000-0003-2382-8460>)
 Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

=== debian/changelog ===
r-bioc-megadepth (1.16.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:17:11 +0100

r-bioc-megadepth (1.16.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 08:58:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-megadepth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-megadepth.git
 Homepage: https://bioconductor.org/packages/megadepth/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/megadepth.html .*/megadepth_(.*).tar.gz
